<<< Previous |  | Next >>>

# FcWeightToOpenTypeDouble

## Name

FcWeightToOpenTypeDouble -- Convert from fontconfig weight values to OpenType ones

## Synopsis

    #include <fontconfig/fontconfig.h>

``double `FcWeightToOpenTypeDouble``(double`ot_weight`);`

## Description

`FcWeightToOpenTypeDouble` is the inverse of `FcWeightFromOpenType`. If the input is less than FC_WEIGHT_THIN or greater than FC_WEIGHT_EXTRABLACK, returns -1. Otherwise returns a number in the range 1 to 1000.

## Since

version 2.12.92

<<< Previous | Home | Next >>>
FcWeightFromOpenTypeDouble | Up | FcWeightFromOpenType